Results 1 to 4 of 4

Thread: building for x86_64 succeeded in 11.1 but fails in 11.2 & 11.3

  1. #1

    Default building for x86_64 succeeded in 11.1 but fails in 11.2 & 11.3

    Hello,
    I'm trying to build a python package.
    All the other buildings for i586 11.1 to 11.3 succeeded.

    This is the error:
    HTML Code:
    Checking for unpackaged file(s): /usr/lib/rpm/check-files /usr/src/packages/BUILDROOT/wordforge-0.8-6.1.x86_64
    error: Installed (but unpackaged) file(s) found:
       /usr/lib/python2.6/site-packages/WordForge-0.8.Beta.1-py2.6.egg-info
       /usr/lib/python2.6/site-packages/WordForge/CHANGELOG
       /usr/lib/python2.6/site-packages/WordForge/Editor/__init__.py
       /usr/lib/python2.6/site-packages/WordForge/Editor/__init__.pyc
       ...
    In 11.1 this works fine:
    HTML Code:
    Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/wordforge-0.8-6.1-buildroot
    Wrote: /usr/src/packages/SRPMS/wordforge-0.8-6.1.src.rpm
    Wrote: /usr/src/packages/RPMS/x86_64/wordforge-0.8-6.1.x86_64.rpm
    Any hints on this?
    Thanks in advance,
    Gzalo

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,810
    Blog Entries
    15

    Default Re: building for x86_64 succeeded in 11.1 but fails in 11.2 & 11.3

    Quote Originally Posted by gzcordeiro
    Hello,
    I'm trying to build a python package.
    All the other buildings for i586 11.1 to 11.3 succeeded.

    This is the error:

    Checking for unpackaged file(s): /usr/lib/rpm/check-files
    /usr/src/packages/BUILDROOT/wordforge-0.8-6.1.x86_64
    error: Installed (but unpackaged) file(s) found:

    /usr/lib/python2.6/site-packages/WordForge-0.8.Beta.1-py2.6.egg-info
    /usr/lib/python2.6/site-packages/WordForge/CHANGELOG
    /usr/lib/python2.6/site-packages/WordForge/Editor/__init__.py
    /usr/lib/python2.6/site-packages/WordForge/Editor/__init__.pyc
    ...

    In 11.1 this works fine:

    Checking for unpackaged file(s): /usr/lib/rpm/check-files
    /var/tmp/wordforge-0.8-6.1-buildroot
    Wrote: /usr/src/packages/SRPMS/wordforge-0.8-6.1.src.rpm
    Wrote: /usr/src/packages/RPMS/x86_64/wordforge-0.8-6.1.x86_64.rpm

    Any hints on this?
    Thanks in advance,
    Gzalo

    Hi
    Have a look here.. "Compatibility with older distributions"
    http://en.opensuse.org/openSUSEackaging_Python

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.32.24-0.2-default
    up 3 days 10:56, 2 users, load average: 0.06, 0.02, 0.00
    GPU GeForce 8600 GTS Silent - Driver Version: 260.19.21


  3. #3

    Default Re: building for x86_64 succeeded in 11.1 but fails in 11.2 & 11.3

    Hi,

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Have a look here.. "Compatibility with older distributions"
    openSUSEackaging Python - openSUSE

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.32.24-0.2-default
    up 3 days 10:56, 2 users, load average: 0.06, 0.02, 0.00
    GPU GeForce 8600 GTS Silent - Driver Version: 260.19.21
    Thanks for the link.
    However, the problem is not the compatibility with older, but with newer distributions...
    Probably related to the expansion of macros, like %python_sitearch.
    Cheers,
    Gzalo

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,810
    Blog Entries
    15

    Default Re: building for x86_64 succeeded in 11.1 but fails in 11.2 & 11.3

    Quote Originally Posted by gzcordeiro
    Hi,

    malcolmlewis;2263876 Wrote:
    > Hi
    > Have a look here.. "Compatibility with older distributions"
    > 'openSUSEackaging Python - openSUSE'
    > (http://en.opensuse.org/openSUSEackaging_Python)
    >
    > --
    > Cheers Malcolm (Linux Counter #276890)
    > SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.32.24-0.2-default
    > up 3 days 10:56, 2 users, load average: 0.06, 0.02, 0.00
    > GPU GeForce 8600 GTS Silent - Driver Version: 260.19.21


    Thanks for the link.
    However, the problem is not the compatibility with older, but with
    newer distributions...
    Probably related to the expansion of macros, like %python_sitearch.
    Cheers,
    Gzalo
    Hi
    Greater than 11.3 is python 2.7 and use sitelib
    Code:
    %{python_sitelib}/Wordforge
    %{python_sitelib}/Wordforge-%{version}-py%{py_ver}.egg-info
    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.32.24-0.2-default
    up 3 days 13:27, 2 users, load average: 4.09, 4.94, 3.95
    GPU GeForce 8600 GTS Silent - Driver Version: 260.19.21


Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •